<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Transactions_TA_UI_Transaction_ShiftImport, App_Web_w24mcggg" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <!--[if gt IE 5.5]>
        <link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
        <link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
    <![endif]-->

    <script type="text/javascript">
        if (navigator.userAgent.toLowerCase().indexOf('chrome') != -1)
            document.write('<link href="../css/safari.css" rel="stylesheet" type="text/css" />');
    </script>

    <div class="content-header">
        <h1 style="background-image: url('../dist/img/import.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_Header" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="col-md-12" style="color: Red; display: none">
            <span class="fa fa-asterisk"></span>
            <asp:Label ID="lblMandatoryFields" Visible="True" runat="server" Text="Indicates Mandatory Fields"
                ForeColor="Red"></asp:Label>
        </div>
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-2">
                </div>
                <div class="col-sm-2 col-sm-offset-8">
                    <div class="pull-right">
                        <h6>
                            <span><span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px">Mandatory
                                (1 No.)</span>
                        </h6>
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <div class="col-md-3">
                                <asp:Label ID="lblImportFilePath" runat="server" Text="Select Excel File"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:FileUpload ID="fup_ShiftImport" runat="server" />
                            </div>
                        </div>
                        <div class="form-group src-padbottomMargin">
                            <div class="col-md-3">
                                <asp:Label ID="lblWeeklyOffDays" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-9 pad-left-10px">
                                <div class="col-md-2">
                                    <asp:CheckBoxList ID="lstWeeklyOffDays" runat="server" RepeatLayout="Flow" RepeatDirection="Horizontal"
                                        CssClass="checkbox checkbox-primary" Visible="false">
                                    </asp:CheckBoxList>
                                    <asp:CheckBox ID="chkbox1" runat="server" Text="Monday" CssClass="checkboxShift checkboxShift-primary" />
                                </div>
                                <div class="col-md-2">
                                    <asp:CheckBox ID="CheckBox1" runat="server" Text="Tuesday" CssClass="checkboxShift checkboxShift-primary" />
                                </div>
                                <div class="col-md-2">
                                    <asp:CheckBox ID="CheckBox2" runat="server" Text="Wednesday" CssClass="checkboxShift checkboxShift-primary" />
                                </div>
                                <div class="col-md-2">
                                    <asp:CheckBox ID="CheckBox3" runat="server" Text="Thursday" CssClass="checkboxShift checkboxShift-primary" />
                                </div>
                            </div>
                        </div>
                        <div class="form-group src-padTopMargin">
                            <div class="col-md-3">
                            </div>
                            <div class="col-md-9 pad-left-10px">
                                <div class="col-md-2">
                                    <asp:CheckBox ID="CheckBox5" runat="server" Text="Friday" CssClass="checkboxShift checkboxShift-primary" />
                                </div>
                                <div class="col-md-2">
                                    <asp:CheckBox ID="CheckBox6" runat="server" Text="Saturday" CssClass="checkboxShift checkboxShift-primary" />
                                </div>
                                <div class="col-md-2">
                                    <asp:CheckBox ID="CheckBox7" runat="server" Text="Sunday" CssClass="checkboxShift checkboxShift-primary" />
                                </div>
                            </div>
                        </div>
                        <div class="row" style="display: none; visibility: hidden;">
                            <div class="col-md-12">
                                <asp:Label ID="lblSkip" runat="server" Text="Skip Validation"></asp:Label>
                            </div>
                            <div class="col-md-12">
                                <asp:CheckBox ID="chkSkip" runat="server" />
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <div class="pull-right-button">
                                    <asp:LinkButton ID="btn_Upload" CssClass="btn save-btn fa-upload" runat="server"
                                        OnClick="btn_btn_Upload" />
                                    <asp:LinkButton ID="btn_Template" CssClass="btn save-btn fa-download" runat="server"
                                        OnClick="btnTemplate_Click" />
                                    <asp:LinkButton ID="btn_Cancel" CssClass="btn save-btn fa-angle-left" runat="server"
                                        OnClick="btn_Cancel_Click" Style="display: none" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix">
                    </div>
                    <div class="row">
                        <div class="line16">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <div class="col-md-12">
                                <strong>
                                    <asp:Label ID="lblUnProcess" runat="server" Text="Un Processed Record"></asp:Label></strong>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="table-responsive" style="padding-bottom: 10px">
                            <dxGridview:ASPxGridView ID="grvImportDetails" EnableCallBacks="false" runat="server"
                                ClientInstanceName="grvImportDetails" AutoGenerateColumns="false" Width="100%">
                                <Columns>
                                    <dxGridview:GridViewDataTextColumn Caption="Employee Id" FieldName="Employee_Id"
                                        VisibleIndex="1">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblEmployeeId" Text='<%# Eval("Employee_Id") %>' runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Year" FieldName="Year" VisibleIndex="1">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblYear" Text='<%# Eval("Year") %>' runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Month" FieldName="Month" VisibleIndex="1">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblMonth" Text='<%# Eval("Month") %>' runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Error Message" FieldName="Err_Msg" VisibleIndex="1">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblError" Text='<%# Eval("Error_Msg") %>' runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                   
                                </Columns>
                                <SettingsText EmptyDataRow="No Records Found" />
                                <SettingsPager PageSize="10">
                                </SettingsPager>
                                <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="false" />
                                <Styles AlternatingRow-CssClass="table-bg">
                                </Styles>
                            </dxGridview:ASPxGridView>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function OnInit(s, e) {

            AdjustSize();
        }
        function OnEndCallback(s, e) {
            AdjustSize();
        }

        function AdjustSize() {

            var height = Math.max(0, document.documentElement.clientHeight);
            var width = Math.max(0, document.documentElement.clientWidth);
            grid.SetHeight(height);
        }

    </script>

</asp:Content>
